Pipeline Analyses - Delete
Soft-deletes analysis data for all pipelines in a repository, cleaning up the associated Advanced Security alerts.
DELETE https://advsec.dev.azure.com/{organization}/{project}/_apis/alert/repositories/{repository}/pipelineAnalyses?api-version=7.2-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
repository
|
path | True |
string |
The name or ID of the repository. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.2-preview.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.advsec_manage | Grants the ability to access sarif upload information, delete analysis, and update alerts |